%define name fwbuilder
%define version 2.1.16
%define release %mkrel 1

Name: %{name}
Summary: Firewall Builder
Url: http://www.fwbuilder.org/
Version: %{version}
Release: %{release}
License: GPLv2+
Group: System/Configuration/Networking
Source: http://prdownloads.sourceforge.net/fwbuilder/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gettext-devel
BuildRequires:	glibc-static-devel 
BuildRequires:	libfwbuilder-devel >= %{version}
BuildRequires:	qt3-devel

%description
Firewall administration tool.

%prep
%setup -q

%build

%{__libtoolize} --force --copy
%{__aclocal}
%{__autoconf}
%configure2_5x --enable-auto-docdir \
		--with-templatedir=%{_datadir}/%{name} --with-docdir=%{_datadir}/doc/%{name}
%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make DDIR="${RPM_BUILD_ROOT}/" install

# delete uneeded hidden files
rm -rf $RPM_BUILD_DIR/%name-%version/doc/.obj
rm -rf $RPM_BUILD_DIR/%name-%version/doc/.moc

%find_lang %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*


%changelog
* Sat Feb 02 2008 Funda Wang <fundawang@mandriva.org> 2.1.16-1mdv2008.1
+ Revision: 161441
- New version 2.1.16

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 08 2007 Funda Wang <fundawang@mandriva.org> 2.1.13-1mdv2008.0
+ Revision: 60369
- fix doc dir
- New version 2.1.13

* Sat Jun 02 2007 Stefan van der Eijk <stefan@mandriva.org> 2.1.11-1mdv2008.0
+ Revision: 34511
- 2.1.11


* Tue Mar 06 2007 Stefan van der Eijk <stefan@mandriva.org> 2.1.10-1mdv2007.0
+ Revision: 133665
- rebuild
- 2.1.10

  + Lenny Cartier <lenny@mandriva.com>
    - Update to 2.1.9

* Sun Dec 10 2006 Stefan van der Eijk <stefan@mandriva.org> 2.1.8-1mdv2007.1
+ Revision: 94437
- 2.1.8
- 2.1.7

* Fri Sep 01 2006 Olivier Thauvin <nanardon@mandriva.org> 2.1.5-1mdv2007.0
+ Revision: 59075
- 2.1.5
- Import fwbuilder

* Mon Jul 24 2006 Olivier Blin <blino@mandriva.com> 2.0.12-2mdv2007.0
- rebuild for new glibc

* Wed Apr 19 2006 Lenny Cartier <lenny@mandriva.com> 2.0.12-1mdk
- 2.0.12

* Thu Jan 19 2006 Stefan van der Eijk <stefan@eijk.nu> 2.0.10-5mdk
- Rebuild for net-snmp with new major (10) --> cluster contamination!

* Wed Jan 18 2006 Michael Scherer <misc@mandriva.org> 2.0.10-4mdk
- fix build on amd64

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 2.0.10-3mdk
- rebuilt against new net-snmp with new major (10)

* Thu Dec 22 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.10-2mdk
- rebuilt against net-snmp that has new major (9)

* Thu Nov 17 2005 Lenny Cartier <lenny@mandriva.com> 2.0.10-1mdk
- 2.0.10

* Wed Sep 28 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.9-1mdk
- 2.0.9

* Fri May 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.7-2mdk
- Fix Build For AMD64

* Fri May 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.7-1mdk
- New release 2.0.7

* Thu Feb 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.0.6-1mdk
- 2.0.6

* Wed Jan 12 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.0.5-1mdk
- 2.0.5

* Fri Dec 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.4-1mdk
- 2.0.4

* Tue Sep 28 2004 Stefan van der Eijk <stefan@mandrake.org> 2.0.2-3mdk
- BuildRequires

* Fri Sep 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-2mdk
- rebuild

* Fri Sep 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-1mdk
- 2.0.2
- export qtdir

* Sat Aug 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.1-1mdk
- 2.0.1

